<?php

namespace AuthEmailPassword\Providers;

use AuthEmailPassword\Observers\UserObserver;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    protected $namespace = 'AuthEmailPassword\Http\Controllers';

    protected $tags = [
        'auth-email-password',
    ];

    public function boot(): void
    {
        $this->loadRoutesFrom(__DIR__.'/../routes/routes.php', $this->tags);

        $this->loadMigrationsFrom(__DIR__.'/../../database/migrations', $this->tags);

        $this->loadViewsFrom(__DIR__.'/../../views/emails', 'auth-password');

        $this->publishes([
            __DIR__.'/../../views/emails' => resource_path('views/vendor/event-portal/emails/auth-password'),
        ], $this->tags);

        if (class_exists(config('auth.providers.users.model'))) {
            config('auth.providers.users.model')::observe(UserObserver::class);
        }
    }
}
