<?php
namespace AuthEmailPassword\Rules;

use Illuminate\Contracts\Validation\Rule;

class PasswordRule implements Rule
{
    public function passes($attribute, $value): bool
    {
        return preg_match('/^(?=.*[a-z ])(?=.*[A-Z ])(?=.*\d)[a-zA-Z \d]{8,}$/', $value);
    }
    public function message(): string
    {
        return 'Your password must be at least eight characters long, contain at least'
        .' one uppercase character, one lowercase character, and one number.';
    }
}
